Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.pipeline.caching
Class CompleteCacheValue

    java.lang.Object
      org.apache.cocoon.pipeline.caching.AbstractCacheValue
          org.apache.cocoon.pipeline.caching.CompleteCacheValue

All Implemented Interfaces:
  Serializable, CacheValue

    public class CompleteCacheValue

extends AbstractCacheValue

See Also:
  Serialized Form

Constructor Summary
`CompleteCacheValue(byte[] content, CacheKey cacheKey)`

Method Summary
`Object` | `getValue()`
`void` | `setValue(Object value)` Sets value of this cache
`double` | `size()` Returns size of this `CacheValue` in bytes.
`String` | `toString()`
`void` | `writeTo(OutputStream outputStream)`

Methods inherited from class org.apache.cocoon.pipeline.caching.AbstractCacheValue
`getCacheKey, isValid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompleteCacheValue

    public CompleteCacheValue(byte[] content,
                              CacheKey cacheKey)

Method Detail

### getValue

    public Object getValue()

  See Also:
    `CacheValue.getValue()`

### setValue

    public void setValue(Object value)

  Sets value of this cache

  See Also:
    `org.apache.cocoon.pipeline.caching.CacheValue#setValue()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### size

    public double size()

  Returns size of this `CacheValue` in bytes.

  Returns:
    size of cached value in bytes or -1 if something goes wrong.
  See Also:
    `CacheValue.size()`

### writeTo

    public void writeTo(OutputStream outputStream)
                 throws IOException

  Throws:
    `IOException`
  See Also:
    `CacheValue.writeTo(java.io.OutputStream)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.